package com.ssj.bean.mybatis;

import java.io.Serializable;
import java.util.Date;

/**
 * @author Mount Liu
 * @date 2019/9/18
 */
public class StudentHomeworkMBDto implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 作业id
     */
    private String homeworkId;
    /**
     * 老师id
     */
    private String teacherId;
    /**
     * 老师名称
     */
    private String teacherName;
    /**
     * 会员id
     */
    private String vipId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 科目
     */
    private String subject;
    /**
     * 张数
     */
    private long picNums;
    /**
     * 状态：{ 批改老师（1：未分配；2：已分配未批改；3：批改中）；匹配知识点老师（1：未分配；2：已分配未匹配；3：匹配中）}
     */
    private int status;
    /**
     * 开始批改时间
     */
    private String correctStartTime;
    /**
     * 分配时间
     */
    private String allotTime;
    /**
     * 上传时间
     */
    private String uploadTime;
    /**
     * 等待时长（秒）
     */
    private long waitLong1;
    private long waitLong2;
    private long waitLong3;
    /**
     * 学生头像
     */
    private String imgUrl;
    /**
     * 年级
     */
    private String grade;
    /**
     * 创建时间
     */
    private Date createTime;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public long getWaitLong3() {
        return waitLong3;
    }

    public void setWaitLong3(long waitLong3) {
        this.waitLong3 = waitLong3;
    }

    public long getWaitLong1() {
        return waitLong1;
    }

    public void setWaitLong1(long waitLong1) {
        this.waitLong1 = waitLong1;
    }

    public long getWaitLong2() {
        return waitLong2;
    }

    public void setWaitLong2(long waitLong2) {
        this.waitLong2 = waitLong2;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public long getPicNums() {
        return picNums;
    }

    public void setPicNums(long picNums) {
        this.picNums = picNums;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getCorrectStartTime() {
        return correctStartTime;
    }

    public void setCorrectStartTime(String correctStartTime) {
        this.correctStartTime = correctStartTime;
    }

    public String getAllotTime() {
        return allotTime;
    }

    public void setAllotTime(String allotTime) {
        this.allotTime = allotTime;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }
}
